Last Comment Bug 133439 - Copy to clipboard fails OLE call with CLIPBRD_E_CANT_OPEN
: Copy to clipboard fails OLE call with CLIPBRD_E_CANT_OPEN
Status: RESOLVED FIXED
: fixed1.8.0.4, fixed1.8.1
Product: Core
Classification: Components
Component: XUL (show other bugs)
: Trunk
: x86 Windows 2000
: -- major with 34 votes (vote)
: ---
Assigned To: Ludvig Strigeus
: John Morrison
:
Mentors:
: 206764 336071 338152 338376 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-25 22:52 PST by Jon Tara
Modified: 2006-10-16 20:47 PDT (History)
31 users (show)
dveditz: blocking1.7.13-
darin.moz: blocking1.8.0.4+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch for the bug (962 bytes, patch)
2006-03-13 05:35 PST, Ludvig Strigeus
jag-mozilla: review+
neil: superreview+
emaijala+moz: approval‑branch‑1.8.1+
dveditz: approval1.8.0.4+
Details | Diff | Splinter Review

Description Jon Tara 2002-03-25 22:52:20 PST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:0.9.9) Gecko/20020311
BuildID:    2002031104

Copying from either the browser window or URL bar to the clipboard works
inconsistently. In some cases, nothing is copied to the clipboard. I have not
been able to identify the circumstances under which it fails, which I estimate
at 20% of the time.

Reproducible: Sometimes
Steps to Reproduce:
1.Select browser or URL bar text by highlighting.
2.Use CTL-C or Edit Copy to copy to the clipboard
3.

Actual Results:  Sometimes the text is put on the clipboard, sometimes it is not.

Expected Results:  The text should have been put on the clipboard.
Comment 1 Anders Åge Larsen 2002-04-25 23:40:36 PDT
Reporter, could you please let us know if you still experience this problem with
a recent Moz build(Moz1-RC1 or a newer nightly build)? If then could you please 
try to explain how you nake it not worth? If this however seems to be no 
problem to you in the recent builds, could you please resolve?

WFM with Mozilla/5.0 (Windows; U; Win98; en-US; rv:0.9.9+) Gecko/2002.04.24,-03.
Comment 2 Anders Åge Larsen 2002-04-25 23:42:12 PDT
uhm, nake = make...
Comment 3 Lubor Kolar 2002-06-04 05:38:00 PDT
I am using RC3 on Windows XP and I am experiencing the same problems.
Problems are bigger and deeper than might be seen on the first look.
My experience is:
1. Copy to clipboard sometimes works, sometimes not. Does not matter if I am
copying from URL control or from browser window
2. Copy menu item is sometimes disabled so I can not copy selected text
3. Sometimes even popup-menu doesn't appear on right mouse button click

I was wondering on what this disfunctionality relies and I it seems IT DOES
MATTER WHAT IS CURRENTLY IN THE CLIPBOARD! 
Example:
Although I selected some text in Mozilla browser window, "Copy" popup-menu item
is disabled. I open notepad, type a few letters, select them and press Ctrl+X.
Notepad copies that letters to the clipboard. Now I switch back to Mozilla,
press RMB and Copy popup-menu item is enabled and copy function works!
Seems unbelievable but copying plain text from notepad when "disabled copy menu
item" or "popup menu does not appear" always fixed this problem.
Comment 4 Matthias Versen [:Matti] 2002-06-13 14:05:04 PDT
-> XP APPS and marking NEW (see comment #3)
Comment 5 Lubor Kolar 2002-06-27 06:35:44 PDT
I have discovered that I was wrong thinking it depends what is in the clipboard.
Mozilla starts to behave correctly just by activating another application and
activating back Mozilla window.
I think there should be checked what Mozilla does when it's window gets
activated, because some code from there solves the problem with disabled "Copy"
menu item and disfunctional extended keys (arrows, Home, End etc.)

I tried a lot to reproduce it but I didn't find exact way to do it. I just
suspect it has something to do with my browsing using middle button (wheel
actually) to opening links in new tabs.

BTW while writing this comment, popup-menu did not appear on right-mouse-button
click, Copy item in Edit->Copy was disabled and arrow keys was not working. I
just activated WinAmp, switched back to Mozilla and Copy item works, arrow keys
work and popup menu works too. What an irony!
Comment 6 Bill Mason 2002-07-17 01:34:52 PDT
Bug never was set to new per comment 4.  Setting.
Comment 7 Jason Rimmer 2002-09-19 23:04:04 PDT
Confirmed: 2002091014, 1.2Alpha, on WinXPsp1.  Though I have seen this behaviour
many times in many versions of Mozilla.  I'm also unable to find a reproducable
case except to say that copying out of a form textbox has always worked but
copying the usual HTML text from a browser windows fails intermittently.  While
the reporter gave a failure rate of 20% I'm encountering something closer to 50%.
Comment 8 Lubor Kolar 2002-09-19 23:46:29 PDT
Almost 100% clipboard commands failure you get when using MSVDM (Microsoft
Virtual Desktop Manager from Windows XP PowerToys). I have desktop #2 only for
Mozilla (so there are no other windows on the desktop).
How to reproduce this bug (works often, but no always):
1. Open notepad on desktop #1. Copy some text to the clipboard.
2. Switch to the destop #2 where only Mozilla window is present
3. Try to paste text in the URL bar

When you want to "fix" this, you need to open another window on desktop #2
(calculator, notepad etc.) and close it (it does what I described in comment #5,
deactivating and reactivating Mozilla window will fix it - but just for that
moment, you will probably need to repeat it later when you want to copy/paste
something).
It's less annoying when you know this "workaround", but it is still annoying
especially when I copy some text from web page, switch to another destop and
there I found nothing was copied :-(

Comment 9 Xanthor Sccas 2003-08-07 02:26:15 PDT
I've got the same bug under linux, with Mozilla 1.4
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030624
I didn't find how to reproduce it. To fix it, I usualy just close Mozilla and
relaunch it.
Comment 10 Felix Miata 2003-08-08 13:03:13 PDT
I've seen similar behavior on a random basis this week in OS/2 1.4 branch
builds. Select text, but edit->copy remains greyed out. I solve by moving focus
a few times, then coming back to Moz and finding text still selected and menu no
longer greyed.
Comment 11 Rene Peinl 2003-11-03 05:27:38 PST
I have experienced this problem also. I'm working under WinXP SP1 and often use
several tabs in one window. I had this with Mozilla 1.4 as well as with 1.5
currently. Sometimes the problem occurs when text in an inactive tab is still
highlighted (especially in text boxes) and it works again if I go to this tab
and unhighlight the text, go back to the previous tab and try to copy again. 
It also frequently happens, when working with the adobe acrobat reader Plugin
version 5.1 but I also cannot reproduce it. 
Comment 12 karl lillevold 2003-12-02 11:16:23 PST
i have been having intermittent clipboard problems in /all/ versions of mozilla,
up to and including 1.5. CTRL-C / CTRL-V works around 50% of the time, the
other 50% nothing is pasted. CTRL-X (in edit box) will always cut, but sometimes
CTRL-V in the same edit box will still not paste anything.

I have this problem for the address bar, normal text on web pages, and edit
boxes in forms on web pages. It even happens with right click -> Copy Link
Location, but in general Edit->Copy will work when CTRL-C fails.

I have trouble reliably reproducing this, because there does not appear to be
any system to the failures, but it is very annoying. It seems to help to
repeatedly press CTRL-C, but not always.

Both my systems are WinXP (all updates) dual CPU systems (one true dual, one
hyper-threaded). I am not using mozilla on any single CPU systems.
Comment 13 Sebastian Delmont 2004-01-26 09:43:09 PST
This is still present in 1.6.

At least in my case, it's happening about 60% of the time or more.

Switching to other apps and back seems to "fix" this temporarily. But sometimes
it requires copying something in a different app first.
Comment 14 n808 2004-03-04 09:32:59 PST
Yes, still present in 1.6 as well as latest Firefox, which is not so strange,
considering its origin. Since I use the browser to enter and edit posts in
forums, this bug is so annoying I have had to stop using mozilla/firefox and
switch to Opera instead. If there is anything I can do to help debug/isolate
this bug, I would be happy to.
Comment 15 Artem Saveliev 2004-03-11 08:13:06 PST
this is more proper bug about clipboard then bug #172103 (which has status
critical by the way)
i.e. you understood that it just works inconsistently. maybe they should be linked.
Comment 16 n808 2004-03-16 16:38:15 PST
I'm having the same problem in the latest stand-alone Thunderbird as well. Maybe 
not too surprising... Perhaps not as frequently as in the browser, but very 
problematic, since cut-and-paste is rather necessary components of writing 
e-mail. 
Comment 17 Chad Humphries 2004-04-30 07:00:40 PDT
(In reply to comment #16)
> I'm having the same problem in the latest stand-alone Thunderbird as well. Maybe 
> not too surprising... Perhaps not as frequently as in the browser, but very 
> problematic, since cut-and-paste is rather necessary components of writing 
> e-mail. 
> 

I've been having this problem for a while now as well in Firefox 0.8.   It's
insanely frustrating as it usually seems to crop up when I have 10-15 tabs open.
     The problem exhibits itself on my machine by causing keyboard copy/paste to
not work (copying outside the app and pasting inside works, so I guess it's just
copy).  As a result of the copy not working all paste commands are disabled (as
they should be if a copy action didn't take place).
Comment 18 n808 2004-06-17 09:28:58 PDT
This bug is making my usage of Thunderbird almost impossible. I gave up on 
Firefox and switched to Opera for the same reason, but there is no good IMAP 
e-mail alternative. Copy and cut works less than 1/2 the time in a compose mail 
window, and it has been very frustrating. I seem to have found a work-around 
though. I opened the Windows XP ClipBook Viewer (c:\windows\system32\clipbrd.
exe) to monitor the clip board, and surprisingly now the clipboard works 
perfectly in Thunderbird. I can not make it fail. Then I exit clipbrd.exe and 
instantly copy/cut no longer works.
Comment 19 Guram Qurzeneli 2004-07-15 11:50:19 PDT
For me it's the most annoying bugs that spoils the whole pleasure of using
FireFox. Suddenly the clipboard stops working, I can't copy the URL from the
address bar and either have to re-type it or get it from "Page Info" using right
mouse click-copy. Even that does not always work. Has been going on since
Firefox 0.7 (was it Firebird then?) and up to today's Firefox 0.9.2.

That's under Windows XP all latest bells and whistles as of today. I never
experienced such problem under Linux.
Comment 20 Martin Alderson 2004-10-30 06:50:06 PDT
I am having the same problem.

This is infurating as sometimes you'll copy an address (or at least think you
did), when really nothing has been copied, and you'll paste it into an IM
conversation, sending the completely wrong thing and people think you are going
insane.

This is a real problem and I'm noticing this with the FF1.0RC1. The first time I
noticed this was probably 1.0PR, maybe a nightly before that.

This should really be blocking 1.0 IMO.
Comment 21 Ronald Klarenbeek 2004-10-30 07:35:44 PDT
on windows systems, you can workaround this bug by first minimizing the
application (firefox), and restoring it afterwards.

this workaround works 100% of the time, afaik. dont know about other OS
versions, tough.
Comment 22 Harald Henkel 2004-11-01 13:40:27 PST
(In reply to comment #21)
> on windows systems, you can workaround this bug by first minimizing the
> application (firefox), and restoring it afterwards.
> 
> this workaround works 100% of the time, afaik. dont know about other OS
> versions, tough.

I'm having the same problem with Moz 1.8a4 on NT4 and neither minimizing Moz or
switching to different app solves it.

I can paste into Moz clipboard text copied from other apps like Notepad, but
copying from Moz will delete the Clipboard contents (copied from other apps) but
not copy anything into it.

I would say, this would be an absolute blocker for FF1.0 and Moz1.8a5/1.7.x

Yet, I have to admit, that I never created a new profile, when upgarding to a
new Moz. Just renamed the program folder and unzipped into a new Mozilla folder.

Maybe this is some profile "bug" !?
Comment 23 Artem Saveliev 2004-11-13 07:23:22 PST
Well, I can confirm that this depends on current contents of clipboard. Best
workaround is to go into Outlook (that i always have open) and copy something
from an e-mail there. Fixes copy from Mozilla. *sigh*

Writing here because I just had another uncontrollable rade attack, due to
this... (you know, when you break keyboards and other devices).

 Sometimes it stops working in 50% of cases, and I assure you, the only thing in
clipboard at that time is what Mozilla copied in there itself.

There's a host of other bugs on this already (just search for copy paste in
summary), and they are not getting triaged.
Comment 24 andrew 2004-11-23 06:32:58 PST
I'm confirming the behavior as described in comment 23 (that the clipboard
functionality is dependent on what is already in it and that copying text from
outlook and returning to firefox restores functionality).  
Comment 25 Tim Connors 2005-03-18 12:52:03 PST
(In reply to comment #24)
> I'm confirming the behavior as described in comment 23 (that the clipboard
> functionality is dependent on what is already in it and that copying text from
> outlook and returning to firefox restores functionality).  

Basically, mozilla is a buggy piece of ****.  This particular bug, not allowing
any cut and paste, even internally within mozilla, after a random, indeterminate
time, has put me permanently off mozilla, after wasting so much time of mine.

Really, how can a bug sit in an open source peice of software (remember, many
eyes make all bugs shallow?) for so long?  It makes mozilla completely unusable.
Comment 26 jobob247 2005-06-28 10:04:00 PDT
How has this not fixed? This started in 02?!!!!!! I know that typically
something can be blamed on Windows, but this is NOT a Windows centric release
issue. How can I, as an IT professional, continue to recommend this software to
people, when the clipboard works intermittently like this? It’s seriously
driving me crazy, and making Firefox completely unusable.
Comment 27 andrew 2005-06-28 10:26:45 PDT
(In reply to comment #26)
> How has this not fixed? This started in 02?!!!!!! I know that typically
> something can be blamed on Windows, but this is NOT a Windows centric release
> issue. How can I, as an IT professional, continue to recommend this software to
> people, when the clipboard works intermittently like this? It’s seriously
> driving me crazy, and making Firefox completely unusable.

I don't get it either, this is a big pain in the ass on a daily basis and STILL
is a problem in 1.4.  
Comment 28 John Cole 2005-07-29 13:41:50 PDT
I suffered from this since FF 0.4 (Phoenix).  I was glad to read about the
minimise window fixing the clipboard, that worked just now.

One thing I have noticed, is that the clipboard works fine when you start FF,
but after a while it goes south.  With XPSP1 I could use another app to copy
something to the clipboard and FF would start working.  As of XPSP2, that
doesn't work for me anymore. 

This is a very old problem with a very common action, it would be nice to see
some activity on this.
Comment 29 David Radnedge 2005-07-29 21:33:55 PDT
  Have experienced this problem approx. 50% of the time with Firefox 1.0.4 and
1.0.6, OS Win. XP Pro SP2.

  However, since installing Logitech MouseWare 9.75 software 3 days ago the
problem has not occurred. 

  No other changes made to either Firefox or the OS.
Comment 30 Aaron P 2005-08-05 13:25:01 PDT
I have been using Mozilla (and eventually Firefox) for years, and have never
experienced this problem. This has been on Windows 2000, XP, & OS/2. However, I
almost never right-click to copy, even after selecting with the mouse (go
figure). Instead I almost always use Ctrl+C or Ctrl+Insert.
Comment 31 Artem Saveliev 2005-08-06 11:52:55 PDT
This bug affects all: right-click copy, ctrl+c and ctrl+insert. The bug affects
both Mozilla Suite and Firefox. Copying complex data into clipboard (for example
html e-mail from outlook), fixes it. I had it happen on both Windows 2000 and
Windows 2003 Server.
Comment 32 firefoxbug2005 2005-08-28 13:37:22 PDT
if you go to:
http://www.microsoft.com/technet/prodtechnol/windowsserver2003/library/ServerHelp/2e0186ba-1a09-42b5-81c8-3ecca4ddde5e.mspx


and select the entire address bar
then cntl+c will copy the text to the clipboard
the above link was copied this way
Now:
Click on any of the links under "This section covers"
and select the entire address bar and cntl+c
it will not copy to the clipboard

Why is this happening?? Is the way M$ codes the page partly to blame?
If I go back to the page where the cntl_c worked, it will copy again.
Also, notice the the url in any page after the original, never changes!!
Comment 33 djstealth 2005-09-07 22:16:48 PDT
See 133439, 96645, 278927, 153145, 252084, 196897, 101539
Comment 34 Jimmy Sieben 2005-09-09 13:42:35 PDT
Can we please fix this for FireFox 1.5?

It's a terrible issue that plagues many users (including me!)
Comment 35 Toussaint OTTAVI 2005-09-16 01:36:31 PDT
> I seem to have found a work-around though.
> I opened the Windows XP ClipBook Viewer (c:\windows\system32\clipbrd.exe)
 
This workaround works also for me. 

Hope this bug will be solved soon, anyway. Very annoying.
 
Comment 36 David Radnedge 2005-10-05 13:53:18 PDT
  This problem still occurring in Firefox 1.0.7
Comment 37 zerk666 2005-11-01 20:39:20 PST
Fix this PLEASE!!!!!!!! It's so annoying I reverted to IE a couple of time but now I'm dependant on Adblock so I guess I'm stuck with this damn copy/paste bug

Sometimes when the Ctrl-C doesn't work, I can use the right-click Copy and it works... sometimes I need to close firefox and reopen it because nothing else works and I loss all my current pages... 

Still in 1.5 Beta2
Comment 38 starmen 2006-01-14 05:30:40 PST
I've had this problem as well. I solved it by enabling the 'clipbook' service in windows XP.
This means that I first had to enable the 'Network DDE' and 'Network DDE DSDM' services, which I'm not too happy about...
Comment 39 starmen 2006-01-14 05:39:54 PST
(In reply to comment #38)
> I've had this problem as well. I solved it by enabling the 'clipbook' service
> in windows XP.
> This means that I first had to enable the 'Network DDE' and 'Network DDE DSDM'
> services, which I'm not too happy about...
> 

hmmm never mind. the problem suddenly re-appeared again :(

my frustration over this bug is going through the roof !!!!! No other application I use has this problem, so why should it be a problem for FF ?!?!?

Comment 40 Anders Åge Larsen 2006-01-14 13:22:04 PST
As an satisfied Opera user withouth any (recent) holes in my roof, can someone please remove me from this list?
Comment 41 Computer Guru 2006-03-12 13:34:12 PST
Damn!
FOUR years on this ONE bug? Not to be a pratt, but in that time, this very annoying and only reason I use IE7 NEEDS to be dealt with. In 4 years we cauld have rewritten in from scratch a line a day pinning it down.

What IS the problem? Seriously.......
Comment 42 John Holder 2006-03-12 23:16:10 PST
Note: It may be that the QA contact may be out of date. An attempt to change the assignee failed.

Added jag@tty.nl to the CC list. He is in charge of QA
Comment 43 Ludvig Strigeus 2006-03-13 02:59:19 PST
Here's how I can reproduce the bug.

Go to address bar.
Hold Ctrl down.

Press A C V in sequence repeatedly. (Never release Ctrl)
If it works properly, then the selection should go away each time you press V. If the selection doesn't go away when you press V, you've hit the bug.

About 50% of the time, the selection doesn't go away.
Comment 44 Greg K. 2006-03-13 03:45:56 PST
To start with, this bug has the wrong Product and Component field settings. If this happens across Mozilla products it belongs on Core. Since it's clipboard-related, let's start with XP Toolkit/Widgets.
Comment 45 Ludvig Strigeus 2006-03-13 05:12:25 PST
I might have found a way to fix this bug. I'm not a mozilla developer, I just used a hexeditor and changed the machine code and the result seems to work.

The problem seems to be Windows that doesn't accept OleSetClipboard being called twice in a row. The second OleSetClipboard errors with CLIPBRD_E_CANT_OPEN. It happens only when the CPU is idle, not if I run some CPU intensive application.

In nsClipboard.cpp, the code looks like:

  ::OleSetClipboard(NULL);

  IDataObject * dataObj;
  if ( NS_SUCCEEDED(CreateNativeDataObject(mTransferable, &dataObj, NULL)) ) { // this add refs dataObj
    ::OleSetClipboard(dataObj);
    dataObj->Release();
  }

Change this to:

  IDataObject * dataObj;
  if ( NS_SUCCEEDED(CreateNativeDataObject(mTransferable, &dataObj, NULL)) ) { // this add refs dataObj
    ::OleSetClipboard(dataObj);
    dataObj->Release();
  } else {
    ::OleSetClipboard(NULL);
  }
Comment 46 Computer Guru 2006-03-13 05:24:58 PST
nice!
I am editing it myself ATM
Comment 47 Computer Guru 2006-03-13 05:27:09 PST
nice!
I am editing it myself ATM

However, you sayWindows does not... but this is experienced on all platforms?
Comment 48 Ludvig Strigeus 2006-03-13 05:35:49 PST
Created attachment 214898 [details] [diff] [review]
Patch for the bug
Comment 49 jag (Peter Annema) 2006-03-13 23:44:13 PST
Comment on attachment 214898 [details] [diff] [review]
Patch for the bug

Looks good to me. Either Neil or I can check this in for you.
Comment 50 Flaky Jake 2006-03-14 00:07:42 PST
I'm sure you're all aware of this knowledge base article http://kb.mozillazine.org/Clipboard_not_working
Comment 51 neil@parkwaycc.co.uk 2006-03-14 04:33:10 PST
Comment on attachment 214898 [details] [diff] [review]
Patch for the bug

In the (admittedly rare) failure case shouldn't the error code get propagated back to the caller? Anyway, this is fine as it is, it can't make things worse ;-)
Comment 52 bugzillamenot 2006-03-23 12:04:23 PST
how does one apply the patch?

TIA
Comment 53 Computer Guru 2006-03-23 21:43:26 PST
When will this make it to a nightly?
Comment 54 neil@parkwaycc.co.uk 2006-03-24 06:54:16 PST
When somebody thinks of checking it in (which was me, just now).
Comment 55 Computer Guru 2006-03-24 10:22:23 PST
lol. I thought it was checked in already, (by jag)....
OK thanks! I think it works... since my post here about modding my files I did not experience it.
Comment 56 Keith G 2006-03-27 03:36:05 PST
I've found a solution that works for me. I've been having a similar problem but it wasn't exactly the same: Ctrl+C works 0% of the time, RMB+Copy or View+Copy both work 100% of the time. this only applies to HTML text, address bar and form text work fine. 

Also I've noticed another strange problem that no one has mentioned: Whenever I press enter or win95 button on a form field it pops up with a strange dialog box for creating an HTML link, as if it were an HTML editor not a browser :?

Anyway it all worked fine in safe mode, so I just removed extensions until it worked normally. Turned out to be an old Wikipedia extension that isn't even compatible with FF 1.5?!  Anyway it's working now - for the moment.

(In reply to comment #55)
> lol. I thought it was checked in already, (by jag)....
> OK thanks! I think it works... since my post here about modding my files I did
> not experience it.
> 

Comment 57 Computer Guru 2006-03-27 04:39:51 PST
(In reply to comment #56)

I'm sorry Keith, it may be that in your particular case the extension was the culprit, but read the "extended bugzilla" report here: http://neosmart.net/blog/?p=111 and here: http://www.digg.com/software/Firefox_Cut_Paste:_1_Bug,_4_Years,_No_Solution_

Most posters concur that the bug happens on no extension and no theme installs as well. I can second that.

Where are we with gettting the patch checked in? 
"neil: approval‑branch‑1.8.1? (emaijala)"
Comment 58 neil@parkwaycc.co.uk 2006-04-02 14:30:48 PDT
Sorry, I forgot to mention that I'd already checked it in on the trunk (for Firefox 3 / SeaMonkey 1.5) and now also the branch (for FF2/SM1.1).
Comment 59 Justin Kerk 2006-04-03 07:46:26 PDT
Has this also fixed bug 220900 (which sounds like the same issue)?
Comment 60 Darin Fisher 2006-04-07 12:35:43 PDT
Neil: do you feel good about this patch for the 1.8.0.x branch?  if so, please request approval.
Comment 61 Ryuichi KUBUKI 2006-04-08 07:03:25 PDT
*** Bug 206764 has been marked as a duplicate of this bug. ***
Comment 62 Computer Guru 2006-04-11 09:28:21 PDT
Just have one or two questions:
When one downloads a FF 2.0a1 (Bon Echo) Nightly, this patch is now implemented, correct?
What about if one were to download a FF 3.0 Nightly, is it also implemented there?

Regards,
CG
Comment 63 Computer Guru 2006-04-19 07:07:43 PDT
Sorry guys, no go.
Tested with the latest nightly as grabbed from http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-trunk/firefox-3.0a1.en-US.win32.installer.exe, many users have verified that has not yet been fixed.

I have verified that it has nothing to do with text being selected in two tabs simultaneously, unless that and something else need to occur for this bug to take place.

Any other thoughts?

You can see the replies of testers here: http://neosmart.net/blog/archives/141 ; scroll down for the comments.

Please change OS to all, hardware to all, and the component to whatever is appropriate. This bug needs to be reopened ASAP.
Comment 64 Sammy Yousef 2006-04-21 07:27:12 PDT
Reliable fix, and I now suspect spyware/malware

Okay found a fix that seems to work reliably. I'd like others to try it and see if it works. 

1) Close all instances of firefox.
2) Rename firefox.exe to afirefox.exe (or any other name for that matter).
3) Start the renamed executable. No need to reboot or do anything else.

My problem was cut/copy not working at all, scroll wheel on mouse not working at all. Tried reboots, uninstalling, removing profiles and reinstalling version 1.5.0.1, 1.5.0.2, 1.8, 1.0.5, and 1.0. Tried the new.net removals. Tried changing user.js. None of that worked. The above steps did work. 

I can rename back to firefox.exe to reproduce the bug. Tried about 7 times (closing firefox completely between attempts, and rebooted once in between tries just to make sure I had a clean running system). If the name is firefox.exe cut and copy do not work, mouse scroll does not work. If the name is afirefox.exe all works fine. The existance of firefox.exe is not a problem. I can have a copy named firefox.exe but I must start my first running instance from an executable named something else otherwise copy, cut and scroll do not work.

My conclusion is that SOMETHING is interfeering with the clipboard for program known as firefox.exe. I have no idea what though. I tried copying notepad.exe to firefox.exe and placing it in the same directory, but when I start notepad as firefox.exe the clipboard in the renamed notepad works just fine. So now if I'm right we're talking about something that interfeers with firefox very specifically and deliberately, or one of the strangest bugs I've EVER seen.

System is windows XP SP2. Firefox version currently in use is 1.5.0.1.
Comment 65 Alvaro Cobo 2006-04-23 21:07:18 PDT
Hi guys: 

I have had the same problem (reported at bug number: 334862). 

I am quite sure that the clue to this bug is in a file I have installed by mistake. I have tried to make reverse engineering to this file to know what this file made in my system, but I am still a newbie and couldn`t find which files this malware have attacked. But I insist: this file was the cause of the problem (and is not the new.net malware).

In the zip file are the files which caused all the problem. 

http://www.guapulolounge.com/bugreport/careful_malicious_code.zip

If somebody could make some engineering to this files, I guess it would be possible to find the solution. 

Regards. 
Comment 66 Keith G. Robertson-Turner 2006-04-24 01:49:37 PDT
Doesn't the patch from comment #45 fix this bug?

I thought it looked the most likely explanation ... and solution.

I can confirm that I'm still experiencing this with release 1.5.0.2.

+1 Reopen this bug.
Comment 67 Keith G. Robertson-Turner 2006-04-24 01:55:56 PDT
Just noticed that "fixed" applies to an unreleased build.

Please ignore my previous vote.
Comment 68 Computer Guru 2006-04-24 02:46:36 PDT
Not necessarily, because people are still experiencing it in the nightly (as you say "unreleased") builds.

@No. 64
I believe in all likelihood yours is a different issue, because this takes place on PPC Mac, Intel Mac, Windows, Linux, BSD, and every other OS that the Mozilla core runs on, and to this day, no malware exists that can run on them all.
Besides, I have attempted renaming it in the past, and I can verify that it didn't help.

I have verified it is *not* the profile:
I copied the profile from a computer experiencing this issue to one that wasn't and it kept on working. It is something *within* the Firefox code that causes this bug to happen.
Comment 69 Keith G. Robertson-Turner 2006-04-24 02:56:41 PDT
Obvious question: is there a debug build (Win32) - or a separate debugger - that we can use to trace whats happening to the clipboard?
Comment 70 Daniel Veditz [:dveditz] 2006-04-24 17:29:13 PDT
Comment on attachment 214898 [details] [diff] [review]
Patch for the bug

approved for 1.8.0 branch, a=dveditz for drivers
Comment 71 Jack Coulter 2006-04-24 22:12:54 PDT
Sammy Regarding Comment 64, I renamed my firefox.exe to afirefox.exe and it then worked perfectly, I've tried this on four different PC's and it has fixed the problem everytime, I am running version 1.5.0.2 on all four computers, three are XP SP2, and the other is Windows ME (I don't remember service pack).
If anyone find a proper fix without renaming please post it here.

jscinoz
Comment 72 Computer Guru 2006-04-25 06:04:00 PDT
Resolved.
After extensive research, it becomes apparent that there are two bugs here:

1) *Randomly* does not allow copying from the Core, on all OSes. *This* has been fixed with the patch above.
2) Copy and paste *never* works, and only on Windows. *This* is a spyware/malware issue.

I hope this clears matters up.
Comment 73 Daniel Veditz [:dveditz] 2006-04-28 11:57:07 PDT
The code freeze for the next 1.8.0 release is Monday May 1 -- please land this soon.
Comment 74 Jay Patel [:jay] 2006-04-28 12:06:55 PDT
Reassinging to Neil since he did the previous checkins on the Trunk and 1.8.1 branch.

Neil: Can you get this landed for 1.8.0.4 asap?  Thanks!
Comment 75 neil@parkwaycc.co.uk 2006-04-28 14:19:37 PDT
Fix checked in for 1.8.0.4
Comment 76 Jo Hermans 2006-05-01 03:45:32 PDT
*** Bug 336071 has been marked as a duplicate of this bug. ***
Comment 77 Ria Klaassen (not reading all bugmail) 2006-05-01 03:47:11 PDT
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a1) Gecko/20060430 Minefield/3.0a1
Sad to say that this is not (quite) repaired yet in the latest trunk. A typical case:
I had a trunk build open, copied in that browser a link (http://www.asp.net/), opened the same trunk browser with a new profile, pasted http://www.asp.net/ in the locationbar of the newly opened browser, clicked back, loaded a bookmark over the same tab, then wanted to paste http://www.asp.net/ again in the locationbar but the clipboard was empty. Paste in context-menu was grayed out.
Cases like this happen very random so I can't reproduce it when I want; that is the big problem.
Comment 78 Richard Warrender 2006-05-01 08:46:49 PDT
(In reply to comment #65)
> Hi guys: 
> 
> I have had the same problem (reported at bug number: 334862). 
> 
> I am quite sure that the clue to this bug is in a file I have installed by
> mistake. I have tried to make reverse engineering to this file to know what
> this file made in my system, but I am still a newbie and couldn`t find which
> files this malware have attacked. But I insist: this file was the cause of the
> problem (and is not the new.net malware).
> 
> In the zip file are the files which caused all the problem. 
> 
> http://www.guapulolounge.com/bugreport/careful_malicious_code.zip
> 
> If somebody could make some engineering to this files, I guess it would be
> possible to find the solution. 
> 
> Regards. 
> 

THE SHORT ANSWER IS I'VE GOT RID OF THE BUG! MORE ON MY BLOG - <a href="http://www.vividreflection.com/blogEntry.php?id=16">http://www.vividreflection.com/blogEntry.php?id=16</a>

I think you'll be very please when I tell you I had a look at the malicious code and it is very similar to the code I accidentally ran when my problems first started (a few weeks ago). I tried a lot of things, ran dozens of leading spyware destroyers and it still didn’t fix it. Believing it must be a bug, I waited patiently for a bug fix. When the bug was apparently fixed in Minefield, I gave the new Firefox build a go but the cut/copy flaw was still there (I could still paste in stuff from other applications).

I wasn’t convinced this was a bug in Firefox but anyway… I had tried everything and it was not working so I switch to Opera.

Then this morning I disabled Norton Internet Security and CSS pop-ups appeared on the Google homepage in both Firefox and Opera!!! I checked the Norton Internet Security Activity logs and whenever I opened up Firefox (where the homepage is the standard Firefox Google page) it also tried to connect to http://www.lduhtrp.net/image-1848326-10417792 which redirected to http://advertismen.com/getads.php?id=15 and displayed a **** popup.

I came back to this bug report and tried the afirefox.exe trick. It worked! So I was sure this was malware.

So I updated and re-ran all the usual spyware destroyers – nothing! Installed, updated and ran Windows Defender – nothing! I played around with Defender and accidentally turned on “join Microsoft SpyNet with advanced membership”. Little did I know that this means that if Defender detects any changes made by unclassified software it will inform you of the changes and ask you what you want to do….

Since my system was already infected I saw no harm in running the install file again (from your .zip file). This time I read the EULA... 

> PREFACE. You are about to install the following program:
> Software developed for advertismen.com:

…blah blah….

> It adds discreet advertisements to your Internet Explorer, Netscape, Opera or
> Firefox browser windows that will display links to internet tools and pages.

Clicked install and suddenly Windows Defender sprung up telling me that the bugger was trying to alter the registry and install some files in the system32 folder. Even more helpful… it told me exactly which registry keys and which files it was installing.

I removed the offending items and my system is completely fixed!! Completely!!! It feels so good to have a normal firefox installation working which I can cut and paste in!

Ok, here is what you need to do to remove the Avertisemen.com malware: -

1. Close all Firefox, Opera and Internet Explorer windows.
2. Click Start > Run…
3. Type regedit.exe and press ok
4. Get to the following location in the registry: -
HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Windows

5. In the pane on the right-hand side of regedit you should see a string called “AppInit_DLLs” with a value of “pushow**.dll” where ** is some number.

6. Right-click on this string and click delete.

7. Click Start > Run…

8. Type c:\windows\system32\ and press ok

9. Click on the Search toolbar button in the explorer window that just appeared.

10. Click All files and folders on the search panel that has appeared on the left hand side of the window.

11. Where it says “All or part of the file name:” enter “pushow*.dll” and click Search.

12. Once the search has finished select the pushhow**.dll file (there will be multiple copies if you ran the setup file more than once). Delete the file or files.

13. Start Firefox and feel really good at being able to cut and paste properly again :)

Firefox is a great piece of open source software. It seems it wasn’t a bug after all but a piece of malware that affected most major web browsers. If anything, Firefox was the only browser that flagged up any problems and I doubt I would have worked it out otherwise… Hopefully this will have fixed your problem. I’ve spent many, many, many hours trying to fix this so it would be great if you could <a href="http://www.vividreflection.com/contact_me.php">drop me an email saying thanks</a> if this works for you.

Kind Regards,
Richard Warrender
http://www.vividreflection.com/
Comment 79 Gili 2006-05-01 13:51:36 PDT
I don't think this is fixed.

I run into this problem at least a few times per day and I don't have the malware you mentioned installed. I ran AdAware on the system and found nothing. I also tried using ProcessExplorer against FireFox's EXE and it looked like all attached DLLs were normal.

I wish there was a more conclusive way to reproduce this so we could debug it.
Comment 80 Richard Warrender 2006-05-01 14:58:42 PDT
(In reply to comment #79)
> I don't think this is fixed.
> 
> I run into this problem at least a few times per day and I don't have the
> malware you mentioned installed. I ran AdAware on the system and found nothing.
> I also tried using ProcessExplorer against FireFox's EXE and it looked like all
> attached DLLs were normal.
> 
> I wish there was a more conclusive way to reproduce this so we could debug it.
> 

Adaware doesn't pick it up. Neither does Norton. Nore Spybot Search and Destroy. None of the major spyware removers do. Also, it doesn't appear as a process. I should know. I spend the whole of my sunday afternoon killing processes one by one to see if this was it. It doesn't appear as a process.
Comment 81 Richard Warrender 2006-05-01 15:02:24 PDT
(In reply to comment #79)
> I don't think this is fixed.
> 
> I run into this problem at least a few times per day and I don't have the
> malware you mentioned installed. I ran AdAware on the system and found nothing.
> I also tried using ProcessExplorer against FireFox's EXE and it looked like all
> attached DLLs were normal.
> 
> I wish there was a more conclusive way to reproduce this so we could debug it.
> 

Infact, please can you look in your c:\windows\system32 folder and tell me if you have any .dlls called pushow**.dll where ** is any random number.
Comment 82 Richard Warrender 2006-05-10 01:29:04 PDT
Hi Guys,

Majken contacted me the other day. I was experiencing this same problem as many other people have a few weeks ago now. It was before the 4th of April so this post hadn't been opened yet. The nearest one that seemed to match was https://bugzilla.mozilla.org/show_bug.cgi?id=133439 so I posted in there instead :(

Anyway... after the 'bug' was apparently fixed in Minefield I released that this wasn't a cut/paste bug but a malware problem for many people. Spyware scanners and adware weren't picking anything up and being a web developer who cuts and pastes all day, I was more than annoyed that I couldn't fix this ..for the time being anyway! :)

**The malware does *not* appear as a process and does not affect any files in the Mozilla directories or Firefox program folder directly.*** This has been hard for certain people to grasp! This is why when you uninstall and completely remove Firefox and reinstall it, the problem still persists!

The malware comes in two parts. A nasty .dll file called pushow**.dll where ** is any random number and a windows registry entry for the string 'AppInit_DLLs'. This particular string 'helpfully' ensures the .dll file is "loaded by each Microsoft Windows-based application that is running in the current log on session". I pulled that quote straight off the microsoft website - http://support.microsoft.com/default.aspx?scid=kb;en-us;197571

(I know for a fact that this malware affects Opera and IE too but I'll just refer to Firefox to make it easier)
So therefore the malware is loaded whenever *any* application loads. It seems to be inert in most applications but whenever it detects a process called firefox.exe, the malware kicks in and tries to display adverts on the page. I had an advert blocker set up so this sympton was never noticed! It seems to be a bug in the malware which messes up the cut and copy buffers in Firefox. I'm not sure why this is?! A simple test is to close Firefox and rename the firefox .exe file (found in /Program Files/Mozilla Firefox/ I think?) to afirefox.exe or anything really, just so long as it isn't firefox.exe. Run Firefox again and the malware doesn't kick-in and you can now cut and copy from Firefox!!! Its a nice and easy way to see if you have this malware.

Ok, now to remove it. Delete the registry entry found at HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Windows called AppInit_DLLs. Do a search for any pushow*.dll files on your system, reboot and you will now be rid of this malware. Sorry to have skimmed on this, I have written up a considerably more detailed version on my blog - http://www.vividreflection.com/blogEntry.php?id=16

I caught this malware when I stupidly ran a setup.exe file from a filesharing network - I was using Sharaza and searched for PHP Architect PDF. Pretty much every sinlge zip file that will appear in the search results contains the malware. I have a copy of the malware at home which I'll try to post tonight (I'm at work at the moment!) I hope this helps cure all your problems and it would be great if you could drop me an email if this  fixes the problem for you - http://www.vividreflection.com/contact_me.php

Kind Regards,
Richard 

*Update 2006/05/02* A guy named Chris emailed me to say that he was having trouble deleting the file. Windows reported that the file couldn't be deleted because it was locked - in-use. He used a piece of freeware called Unlocker to successfully unlock the file and delete it. It can be downloaded from http://ccollomb.free.fr/unlocker/

*Update 2006/05/04* As soon as I found out about this piece of malware I uploaded it to the Symantec response centre along with a link to my blog entry on this malware. I got an email from Symantec a few days ago thanking me for the sample, accurate info and apparently “The Patrick Kavangh quote was cool also”. :) Not sure who Patrick Kavangh is or where I have quoted him but anyway... Symantec have updated their definition files and after downloading the latest RapidRelease files from the Symantec ftp site - ftp://ftp.symantec.com/public/english_us_canada/antivirus_definitions/norton_antivirus/rapidrelease/symrapidreleasedefsi32.exe , Norton Internet Security will now pickup the adware/malware!

BTW, I am pretty sure this affects all versions of Firefox. I think I was running Firefox 1.5.1 (had just updated when I ran the malware! lol) when I couldn't cut and copy. I even downgraded to Firefox 1.5.0 and the problem still persisted.

Also, I say 'cut and copy' problem rather than paste problem because I could copy stuff from other programs such as notepad for example. I could paste that copied text into Firefox but couldn't copy or cut a URL or any text for that matter within Firefox. It was just greyed out! Another guy emailed me to say that in his case, the toolbars were locked as well!

Hope this helps,
Richard
Comment 83 Keith G. Robertson-Turner 2006-05-10 08:26:56 PDT
Sorry to burst your bubble, since you seem so excited over your new
discovery, but ...

I do *not* have the Avertisemen.com Spyware file "pushow**.dll" on my
system, and the contents of the registry string you mention only
contains a reference to a hook from NOD32 anti-virus.

I have the most up to date definitions files from NOD32 (Anti-Virus),
Outpost Pro (Firewall + Malware Blocker), Ad-aware (Anti-Spyware), and
Spybot (Anti-Spyware), all of which are fully functional and active on
this WinXP system.

None of these programs seem to think that I have any infection, and
considering that this Mozilla bug has been around for *years*, it is
highly unlikely that it has anything exclusively to do with
Malware. I'm sure having an infested system does not help though.

And to completely disprove your theory ...

How exactly can Win32 coded Malware have *any* effect on a GNU/Linux
system?

Every one of my Linux boxes running Firefox and Thunderbird exhibits
exactly the same problem.

Sorry, but *no*. This is a Mozilla bug. End of story.

Now can people please stop wasting everybody's time with "Malware"
excuses.

Thank you.

-
K.
Comment 84 Keith G. Robertson-Turner 2006-05-10 08:37:56 PDT
Also here's a link to posts from various other people (including a Mac
user) who refute that this Malware has anything to do with the bug:

http://forums.mozillazine.org/viewtopic.php?t=409816&start=15&

-
K.
Comment 85 James Ross 2006-05-10 08:48:30 PDT
Can everyone please stop commenting on here about other issues! I know of at least three quite independant issues, of which this bug only covers the 2nd:

1. Certain Windows malware stops copy working for "firefox.exe"
2. Mozilla/Firefox's Windows clipboard handling triggered an OLE clipboard bug
3. Some other unknown issue with copy that is potentially cross-platform

This bug may have been intended to cover 3 originally, but since 2 was found that is what this bug dealt with. 2 is FIXED.

Both 1 and 3 are NOT covered by this bug! Please keep any discussions or comments regarding either these to their own bugs (I don't know nor care if they exist). Any comments about issues 1 and 3 are wasted on this bug.
Comment 86 Richard Warrender 2006-05-10 09:41:40 PDT
(In reply to comment #83)
> Sorry to burst your bubble, since you seem so excited over your new
> discovery, but ...
> 
> I do *not* have the Avertisemen.com Spyware file "pushow**.dll" on my
> system, and the contents of the registry string you mention only
> contains a reference to a hook from NOD32 anti-virus.
> 
> I have the most up to date definitions files from NOD32 (Anti-Virus),
> Outpost Pro (Firewall + Malware Blocker), Ad-aware (Anti-Spyware), and
> Spybot (Anti-Spyware), all of which are fully functional and active on
> this WinXP system.
> 
> None of these programs seem to think that I have any infection, and
> considering that this Mozilla bug has been around for *years*, it is
> highly unlikely that it has anything exclusively to do with
> Malware. I'm sure having an infested system does not help though.
> 
> And to completely disprove your theory ...
> 
> How exactly can Win32 coded Malware have *any* effect on a GNU/Linux
> system?
> 
> Every one of my Linux boxes running Firefox and Thunderbird exhibits
> exactly the same problem.
> 
> Sorry, but *no*. This is a Mozilla bug. End of story.
> 
> Now can people please stop wasting everybody's time with "Malware"
> excuses.
> 
> Thank you.
> 
> -
> K.
> 

I am only trying to help. It does make it very confusing having three similar issues within one thread.
Comment 87 Richard Warrender 2006-05-10 09:43:46 PDT
(In reply to comment #85)
> Can everyone please stop commenting on here about other issues! I know of at
> least three quite independant issues, of which this bug only covers the 2nd:
> 
> 1. Certain Windows malware stops copy working for "firefox.exe"
> 2. Mozilla/Firefox's Windows clipboard handling triggered an OLE clipboard bug
> 3. Some other unknown issue with copy that is potentially cross-platform
> 
> This bug may have been intended to cover 3 originally, but since 2 was found
> that is what this bug dealt with. 2 is FIXED.
> 

> Both 1 and 3 are NOT covered by this bug! Please keep any discussions or
> comments regarding either these to their own bugs (I don't know nor care if
> they exist). Any comments about issues 1 and 3 are wasted on this bug.
> 
Thanks for clearing this up :)

Issue 1 can now be found under https://bugzilla.mozilla.org/show_bug.cgi?id=334500

Comment 88 Keith G. Robertson-Turner 2006-05-10 10:34:41 PDT
"3. Some other unknown issue with copy that is potentially
cross-platform"

Since the scope of this bug seems to have been changed from the
original, for the benefit of everyone who has been effectively kicked
out of this bug, try bug 172103 instead, which seems to be one of many
duplicates of this one.

-
K.
Comment 89 Keith G. Robertson-Turner 2006-05-10 10:47:21 PDT
Or try bug 220900, with scope Product=CORE, OS=ALL. 
Comment 90 Brynet 2006-05-12 11:38:24 PDT
OMG this clipboard bug is still around in 1.5.0.3.. FIX THE BUG ARLEADY YOU BAD CODERS.
Comment 91 Peter Kasting 2006-05-16 10:06:47 PDT
*** Bug 338152 has been marked as a duplicate of this bug. ***
Comment 92 Mark Pilgrim (inactive) 2006-05-17 18:06:35 PDT
*** Bug 338376 has been marked as a duplicate of this bug. ***
Comment 93 Ria Klaassen (not reading all bugmail) 2006-05-29 07:40:23 PDT
*** Bug 339584 has been marked as a duplicate of this bug. ***
Comment 94 Jordan Bradford 2006-06-02 14:10:43 PDT
I just installed Firefox 1.5.0.4 today and the copy/paste bug still affects me. Minimizing and restoring the window makes copy/paste work again.

This is only regarding Ctrl-C and Ctrl-V. Using the right-click context menu copy/paste commands has always worked.

I don't have the permissions to reopen this bug; hopefully someone will see this post.
Comment 95 Computer Guru 2006-06-02 22:40:53 PDT
That is *not* to do with this bug, so long as you can copy from the menu this bug is not the cause. Forward your request to neosmart.net/forums (original finders of cause of bug) for a solution.
Comment 96 chris searl 2006-06-15 09:48:32 PDT
I removd the advertismen malware on my Windows XP Pro workstation using the recommendations in this article:
http://www.vividreflection.com/blogEntry.php?id=16

My drag/drop and cut/paste now works again in Firefox.
Comment 97 Alexandre LISSY :gerard-majax 2006-06-24 14:52:42 PDT
It seems that deleting the entry named "AppIniti_DLLs" in HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Windows solved the problem.

Even if there was no value in this key.
Comment 98 Majken Connor [:Kensie] 2006-08-25 16:32:58 PDT
Computer Guru - if you *must* have the satisfaction of being the one that knows how to fix this and send people to you rather than share the fix here, could you at least *link* to the forum post where you explain the fix so people can actually get to it?
Comment 99 Hugo Heden 2006-08-30 08:42:01 PDT
The Computer Guru in question already did that, see comment #57 and comment #63
Comment 100 Majken Connor [:Kensie] 2006-08-30 14:44:53 PDT
(In reply to comment #99)
> The Computer Guru in question already did that, see comment #57 and comment #63
> 

I'm subscribed to the blog post contained in #63 which is where the post in #57 directs you.  It only contains the answers to the paste issue fixed here, and instructions on how to remove the malware.  There aren't instructions on fixing random breaking if you're still seeing it in 1.5.0.4+
Comment 101 Computer Guru 2006-09-02 02:51:42 PDT
(In reply to comment #98)
> Computer Guru - if you *must* have the satisfaction of being the one that knows
> how to fix this and send people to you rather than share the fix here, could
> you at least *link* to the forum post where you explain the fix so people can
> actually get to it?

I don't HAVE a fix. I'm at my wits end. I have a workaround, and I have details on the bug. But you've seen them already. I think you've got the wrong impression, I'm not keeping information from the communitty or hoarding it for hits, that's not me... The *symptoms* still exist and have not yet been fixed. One *cause* of these symptoms has been addressed (the fix in an earlier comment), but *not* eliminated. I don't have a fix for that... That blog post just tells people to check for spyware, and if that's not the cause, then complain some more in hopes that someone else finds a fix, because I'm fresh out of ideas.

Sorry for the misunderstanding....
-CG
Comment 102 Majken Connor [:Kensie] 2006-09-02 10:44:54 PDT
If you don't have a fix, then why are you sending people to *your* message board?  Complaining doesn't get things fixed, steps to reproduce and more information *does.*  This bug didn't get fixed because of complaints, this got fixed because ludvig put some steps to reproduce together, opened up some code and took a look (is he a member of your message board?).  We need the people who are having the problem talking about it *here* (or preferably in a new bug) so the devs have access to them and their information.  If you want to help, get together the people that are still seeing this in 1.5.0.4+ file a new bug, and get them all cc'ed.
Comment 103 Computer Guru 2006-09-02 11:10:23 PDT
Look, I don't know what I did, but I'm not here to argue... Suffice to say, this bug has been out there (reported HERE and not on a blog or forum) for 4.5 years now, and it had no effect. Posting it on a well-traffic'd blog got activity going - but as of now, no fix. Look at the comments on the site, as you can see, these guys have no idea what the hell is going on, besides that there is just something seriously wrong with the FF/TB core. They're not coders, I've requested information and received none from them. You asked for their profiles and you got some, I did too; but those profiles didn't help. There is something wrong, and only a hard core FF dev can fix it.
Comment 104 raid517 2006-10-14 11:51:52 PDT
This isn't fixed. It's still happening. I frequently can't copy and paste text which I have just typed into a text dialogue box - even in 1.5.0.7.

To be clear I can highlight it and right click and select 'copy' in Windows XP. But attempting to paste the text anywhere else gives me no 'paste' option.

This has been going on for a very long time now with no fix in sight.

Please reopen this bug.
Comment 105 Majken Connor [:Kensie] 2006-10-15 13:06:55 PDT
raid517 - this particular cause of copy/paste breaking IS fixed, therefore this bug is rightfully closed.  There are 2 other known causes that still exist, one being related to a registry entry - bug 334500, and one that has to do with using multiple windows - Bug 220900.  Please look at each and follow the steps to reproduce to determine if you're experiencing one of these other bugs.
Comment 106 Artem Saveliev 2006-10-16 03:21:17 PDT
bug 172103 is still not fixed though. if you read through it, it mentions that this bug occurs on mac and linux too (bug 172103 comment 13) , and if i understood the nature of the fix, it's windows-only?
Comment 107 Majken Connor [:Kensie] 2006-10-16 20:47:52 PDT
if you read through it there are people reporting several types of copy/paste issues that aren't related to the specific bug filed.  If you read the comments, it looks like that bug is invalid since the issue isn't with the firefox code.  In any case *this* bug is fixed.

Note You need to log in before you can comment on or make changes to this bug.